Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.tools
Class DeploymentConfigurator

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.objectstyle.cayenne.tools.CayenneTask
                  org.objectstyle.cayenne.tools.DeploymentConfigurator

    public class DeploymentConfigurator

extends CayenneTask

A "cdeploy" Ant task providing an Ant frontend to org.objectstyle.cayenne.project.ProjectConfigurator.

Author:
  Andrei Adamchik

Field Summary
`protected ProjectConfigInfo` | `info`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DeploymentConfigurator()` Constructor for DeploymentConfigurator.

Method Summary
`void` | `addNode(DataNodeConfigInfo node)`
`void` | `execute()` Executes the task.
`ProjectConfigInfo` | `getInfo()`
`protected void` | `processProject()` Performs the actual work on the project.
`void` | `setAltProjectFile(java.io.File file)`
`void` | `setDest(java.io.File file)`
`void` | `setSrc(java.io.File file)`
`protected void` | `validateAttributes()` Performs validation of task attributes.

Methods inherited from class org.objectstyle.cayenne.tools.CayenneTask
`configureLogging`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected ProjectConfigInfo info

Constructor Detail

### DeploymentConfigurator

    public DeploymentConfigurator()

  Constructor for DeploymentConfigurator.

Method Detail

### getInfo

    public ProjectConfigInfo getInfo()

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes the task. It will be called by ant framework.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### validateAttributes

    protected void validateAttributes()
                               throws org.apache.tools.ant.BuildException

  Performs validation of task attributes. Throws BuildException if validation fails.

  Throws:
    `org.apache.tools.ant.BuildException`

### processProject

    protected void processProject()
                           throws ProjectException

  Performs the actual work on the project.

  Throws:
    `ProjectException`

### setSrc

    public void setSrc(java.io.File file)

### setDest

    public void setDest(java.io.File file)

### setAltProjectFile

    public void setAltProjectFile(java.io.File file)

### addNode

    public void addNode(DataNodeConfigInfo node)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.